#!/bin/sh
logger -s "$0 $*"
source /etc/vdr.d/conf/gen2vdr.cfg
TARGET_DIR=/film
TMP=/tmp/v2m.log

if [ ! -e "$1/001.vdr" ] ; then
   logger -s "$1.001.vdr ist nicht vorhanden"
   exit
fi

cd "$1"

title="$(grep "^T " info.vdr | cut -f 2- -d " ")"
stitle="$(grep "^S " info.vdr | cut -f 2- -d " ")"
if [ "$stitle" != "" ] ; then
   fname="${title}_-_$stitle"
elif [ "$title" != "" ] ; then
   fname="$title"
else
   fname="$(echo $1 | sed -e "s%$VIDEO/%%" -e "s%/20[0-9][0-9]\-[0-9][0-9]\-[0-9][0-9]\.[0-9][0-9]\.[0-9][0-9]\..*%%" | tr "/" "-")"
fi
fn=${fname// /_}
LOG=$TARGET_DIR/$fn.log
echo "$(date) <$0><$*>" > $LOG
cat "info.vdr" >> $LOG

SYNC=$(replex -y 2 001.vdr 2>/dev/null |grep "^Video unit: P" |head -n 1|sed -e "s/ DTS.*//" -e "s/.*diff://" -e "s/[:.]//g" -e "s/ 0*//g")

# Make Targetformat
if [ "$SYNC" != "" ] ; then
   parms="-e $SYNC"
else
   parms=""
fi   

echo "" >> $LOG
echo "Starte <replex -s>" >> $LOG
replex -s --vdr "001.vdr" > $TMP 2>/dev/null
cat "$TMP" >> $LOG

for i in $(grep "MPEG AUDIO" $TMP | cut -f4 -d" ") ; do
   parms="$parms -a $i"
done
for i in $(grep "AC3 AUDIO" $TMP | cut -f4 -d" ") ; do
   parms="$parms -c $i"
done

parms="$parms -v $(grep "MPEG VIDEO" $TMP | cut -f4 -d" ")"

infls=$(ls [0-9][0-9][0-9].vdr)
cmd="replex -j --vdr -t MPEG2 $parms -o $TARGET_DIR/$fn.mpeg $infls"
logger -s "Starte <$cmd>"
echo "" >> $LOG
echo "Starte <$cmd>" >> $LOG
nice -n 19 $cmd 2>&1 | tee -a $LOG
echo "" >> $LOG
echo "$(date)" >> $LOG

svdrpsend.pl MESG "Umwandlung beendet"
